/*
 Theme Name:   Raining Virtue
 Description:  UnderStrap Child Theme
 Author:       Daniel Ahrendt & Patrick Jackson
 Template:     understrap
 Version:      1.1.0
 Text Domain:  rv
 Tags: one-column, custom-menu, featured-images, theme-options, translation-ready
*/

* {
	outline: none !important;
}

::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #ccc;
  border-radius: 10px;
  border: 2px solid #f1f1f1;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #ccc;
}

/* Effect Animate */


@keyframes fadeIn{from{opacity:0}to{opacity:1}}.fadeIn{animation-name:fadeIn}
@keyframes fadeInLeft{from{opacity:0;transform:translate3d(-100%,0,0)}to{opacity:1;transform:none}}.fadeInLeft{animation-name:fadeInLeft}
@keyframes fadeInRight{from{opacity:0;transform:translate3d(100%,0,0)}to{opacity:1;transform:none}}.fadeInRight{animation-name:fadeInRight}
@keyframes fadeInUp{from{opacity:0;transform:translate3d(0,100%,0)}to{opacity:1;transform:none}}.fadeInUp{animation-name:fadeInUp}

.admin-bar header {
    top: 32px !important;
}
header {
	position: fixed !important;
    top: 0 !important;
    left: 0;
    width: 100% !important;
    z-index: 9;
    transform: translateY(-167px);
    transition: all 0.3s linear !important;
}
.loaded-page header {
    transform: translateY(0);   
}
header.header-sticky {
	padding-top: 15px !important;
    background-color: rgb(5 5 6 / 70%);
}
.raining_latest_posts {
    list-style: none;
    padding: 0;
}
.raining_latest_posts li {    
    padding: 30px 0;
    border-top: 1px solid #5FC7D7;
}
.raining_latest_posts li a {
	color: #4D5769;
	font-size: clamp(18px, 4vw, 36px);
    font-weight: 700;
    line-height: 1.2;
	display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
	gap: 25px;
} 
.raining_latest_posts li a .post-title {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    min-width: 0; 
    flex: 1;
}
.raining_latest_posts li .arrow-icon {
    width: clamp(15px, 2vw, 20px);
    flex-shrink: 0;  
}

.single-post .quote-text .elementor-widget-container > p:last-child {
    margin-bottom: 0;
}
.single-post .quote-text {
    margin-bottom: 0 !important;
}
.single-post .quote-text .elementor-widget-container:empty {
  display: none;
}

.sticky-col {
  position: sticky !important;
  top: 160px;
  align-self: flex-start;
}

#relatedPostCarousel {
	margin-top: -60px;	
	margin-left: auto;
	margin-right: 0;
	max-width: calc(1280px + ((100% - 1280px)/2));
}
#relatedPostCarousel .carousel-inner {
	padding-top: 120px;
	padding-bottom: 0;
}
#relatedPostCarousel .slick-slider .slick-arrow {
	top: 0;
	bottom: auto;
	left: auto; 
	right: max(calc(100% - 1280px + 20px), 20px);
}
#relatedPostCarousel .slick-slider .slick-arrow.slick-prev {
	right: max(calc(100% - 1280px + 100px), 85px);
}
#relatedPostCarousel .post-except .elementor-widget-container {
	display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
#reviewsCarousel .swiper-wrapper{
	align-items: stretch;
	height: auto;
}
#reviewsCarousel .swiper-wrapper .swiper-slide{
	height: auto;
}
/* Review - Slick Slider */
#reviewsCarousel {
    margin-top: 90px;
    max-width: calc(1280px + ((100% - 1260px)/2));
    margin-left: auto;
}
.swiper-wrap-arrow {
    position: absolute;
    bottom: 35px;
    left: auto;
    margin-left: 0;
}
.carousel-wrapper .custom-arrow,
.custom-swiper-arrows .custom-arrow {
    background-image: none;
    background-color: #FFD200;
    border: none;
    border-radius: 50%;
    color: #4D5769;
    width: 54px;
    height: 54px;
    font-size: 30px;
    outline: none;
    transition: all 0.2s linear;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    left: 0;
}
.carousel-wrapper .custom-arrow:hover,
.custom-swiper-arrows .custom-arrow:hover {
     background: #5fc7d7;
}
.carousel-wrapper .custom-arrow:after {
    display: none;
}
.swiper-button-prev.custom-arrow img{
    transform: scaleX(-1);
}
.carousel-wrapper .custom-arrow {
    position: absolute;
    right: 12vw;
    top: 0;
    left: auto;
}
#relatedPostCarousel {
    position: relative;
}
#reviewsCarousel .custom-arrow{
	position: absolute;
    right: 0;
    top: 0;
    left: 0;
}
.carousel-wrapper .custom-arrow.swiper-prev {
    right: 15.5vw;
}
#reviewsCarousel .custom-arrow.swiper-button-next {
    left: 75px;
}
#relatedPostCarousel .custom-arrow.swiper-prev{
	right: auto;
    left: calc(1200px - 70px);
}
#relatedPostCarousel .custom-arrow.swiper-next{
	right: auto;
    left: 1200px;
}
.related-post-carousel .custom-arrow.swiper-prev img {
    transform: scaleX(-1);
}
.carousel-inner .review-card {
    margin: 0;
}
.custom-swiper-arrows {
    text-align: right;
    margin-top: 30px;
}
.custom-arrow:after {
    display: none;
}
.carousel-inner {
	padding-bottom: 90px;
}
.review-card.light-card {
    background: #E9EBF1;
    color: #0A0A0A;
}
.review-card.dark-card {
    background: #4D5769;
}
.review-card {
    padding: 40px;
    border-radius: 18px;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0 20px;
	height: 100%;
}
.review-card .review-text {
	font-size: 18px;
    line-height: 130%;
}
.review-card .review-meta {
    font-size: 16px;
}
.slick-slider .slick-arrow {
    position: absolute;
    bottom: 0px;
    left: 150px;
    background: #FFD200;
    border: none;
    border-radius: 50%;
    color: #4D5769;
    width: 54px;
    height: 54px;
    font-size: 30px;
    outline: none;
	transition: all 0.2s linear;
	cursor: pointer;
	display: flex;
    align-items: center;
    justify-content: center;
}
.slick-slider .slick-arrow.slick-prev {
    left: 80px;
}
.slick-slider .slick-arrow.slick-prev img {
	transform: rotate(180deg);
}
.slick-slider .slick-arrow:hover {
    background: #5fc7d7;
    color: #fff;
}
.rg-expert-text{
    max-width: 510px;
	margin-left: auto;
	margin-right: 0;
}
.rg-gradient-text h2,
.rg-gradient-text h3{
    background: linear-gradient(298.35deg, #E9EBF1 -31.67%, #4D5769 115.47%), #0A0A0A;
    background-blend-mode: hard-light;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
#reviewsCarousel .slick-arrow img,
#relatedPostCarousel .slick-slider .slick-arrow img,
.carousel-wrapper .custom-arrow img {
	max-width: 24px;
}
.rg-demand-row .elementor-container {
	gap: 40px;
}
.rg-dark-gradient{
    background: linear-gradient(298.35deg, #E9EBF1 -31.67%, #4D5769 115.47%);
    background-color: #0A0A0A;
    background-blend-mode: hard-light;
}

.rg-area-grid .elementor-widget-wrap{
    display: flex;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    gap: 40px;
}
 
.rg-area-column {
    width: calc(25% - 40px) !important;
}
.rg-grid-title{
    max-width: 420px
}
.rg-grid-subtitle{
    display: block;
    width: 100%;
    max-width: 550px;
}
.rg-grid-text{
    display: block;
    width: 100%;
    max-width:600px;
}
.rg-main-card {
    max-width: 520px;
}

.rg-card .rg-card-label {
    color: #4D5769;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 4px;
    margin-bottom: 25px;
}
.rg-card .rg-card-title {
    font-size: 24px;
    font-weight: 400;
    line-height: 1.3;
    color: #0A0A0A;
    margin-bottom: 25px;
	min-height: 90px;
}
.rg-card .rg-card-title a {
	color: #0A0A0A;
}
.rg-card .rg-card-link {
    font-size: 16px;
    font-weight: 500;
    color: #0A0A0A;
    border-bottom: 1px solid #5FC7D7;
}
.rg-card .rg-card-link:hover {
    color: #0A0A0A;
}

.rg-service-grid .elementor-widget-container {
    display: inline-flex;
    text-align: center;
	line-height: 1;
}
.rg-main-card .elementor-widget-container:before,
.rg-main-card .elementor-widget-container:after {
    content: "";
    position: absolute;
    left: -100%;
    height: 2px;
    width: 100%;
    background-color: var( --e-global-color-aa52aae );
    top: 0;
}
.rg-main-card .elementor-widget-container:after {
    top: auto;
    bottom: 0;
}
.rg-service-sublist {
    display: flex;
    justify-content: start;
    flex-wrap: wrap;
    padding-left: 0;
    gap: 20px 10px;
	margin-bottom: 0;
}
.rg-service-sublist li {
    padding: 16px 36px;
    list-style: none;
    background-color: #fff;
    border-radius: 8px;
}
/* Strat Team section */
.team-container {
    width: 1300px;
    max-width: 100%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    padding: 0 20px;
}

/* Card */
.team-card {
    background: #fff;
    border: 2px solid #5FC7D7;
    border-radius: 18px;
    padding: 0;
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* Image wrapper */
.team-image {
  overflow: hidden;
  margin-bottom: 20px;
  aspect-ratio: 1 / 1;
  border-radius: 18px 18px 0 0 !important;
}
.team-image img {
    height: 380px;
    object-fit: cover;
    object-position: center top;
  	aspect-ratio: 1 / 1;
}

.team-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Placeholder style */
.team-image.placeholder {
  display: flex;
  align-items: center;
  justify-content: center;
  background: #ddd;
}

/* Content */
.team-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-items: flex-start;
	padding: 0 40px 40px;
}

/* Name */
.team-name {
    font-size: 24px;
    font-weight: 700;
    margin-bottom: 10px;
}

/* Role */
.team-role {
  font-size: 14px;
  color: #4D5769;
  margin-bottom: 20px;
}

/* Button */
.team-btn {
    margin-top: auto;
    display: inline-block;
    background: #f4c400;
    color: #000;
    padding: 8.5px 36px;
    border-radius: 50px;
    font-size: 16px;
    font-weight: 500;
    transition: 0.3s ease;
}
.team-btn:hover {
	 color: #000;
}
/* POPUP */
.team-popup {
    position: fixed;	
    display: flex;
    inset: 0;
    align-items: center;
    justify-content: center;
    z-index: 999;
	opacity: 0;
    visibility: hidden;
    transition: opacity 0.35s ease, visibility 0.35s ease;
}

body:has(.team-popup.active) {
	overflow: hidden;
}
.team-popup.active {
	opacity: 1;
    visibility: visible;
}

.popup-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.4);
	opacity: 0;
    transition: opacity 0.35s ease;
}
.team-popup.active .popup-overlay {
    opacity: 1;
}


.team-popup .popup-content {
    position: relative;
    background: #E9EBF1;
    width: 80%;
    max-width: 1040px;
    border-radius: 20px;
    z-index: 2;
	box-shadow: 1px 4px 24px 2px #44444433;
	
	transform: translateY(40px) scale(0.96);
    opacity: 0;
    transition: all 0.35s ease;
}
.team-popup.active .popup-content {
    transform: translateY(0) scale(1);
    opacity: 1;
}
.team-popup .popup-close {
    position: absolute;
    top: -20px;
    right: -20px;
    background: #ffc107;
    border: none;
    width: 54px;
    height: 54px;
    border-radius: 50%;
    font-size: 36px;
    cursor: pointer;
    color: #4D5769;
    line-height: 1;
}
.team-popup .popup-inner {
    display: flex;
    gap: 40px;
	padding: 60px 0 60px 60px;
	max-height: 85dvh;
    overflow-y: auto;
}

.team-popup .popup-image {
    width: 300px;
}

.team-popup .popup-image img {
    border-radius: 12px;
    margin-bottom: 20px;
    height: 320px;
    width: 320px;
    object-fit: cover;
}

.team-popup .popup-name {
    margin: 15px 0 5px;
}

.team-popup .popup-text {
    flex: 1;
	overflow-y: auto;
    padding-right: 30px;
    margin-right: 30px;
}
.team-popup .popup-text p {
	font-size: 18px;
	font-weight: 400;
	line-height: 130%;
	letter-spacing: 0%;
}

/* End Team section */

.rv-insight-list .elementor-pagination {
    border-top: 2px solid #5FC7D7;
    padding-top: 40px;
	display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.rv-insight-list .elementor-pagination .page-numbers {
    display: flex;
    height: 50px;
    width: 50px;
    margin: 0 !important;
    align-items: center;
    justify-content: center;
}
.rv-insight-list .elementor-pagination .page-numbers.current, 
.rv-insight-list .elementor-pagination .page-numbers:not(.dots):hover {
    background: #ffd200;
    border-radius: 50%;
}
.rg-sticky-post .post-card {
    border: 0 !important;
    padding-top: 0 !important;
}
.rg-sticky-post .post-card img{
    width: 500px;
    height: auto;
}

.rv-contact-form button[type='submit'] {
    width: auto !important;
    flex-basis: auto !important;
    margin-top: 25px;
}

.rv-footer {
	overflow-x: hidden;
}
.rv-footer .footer-logo {
	margin-bottom: 80px !important;
}
.rv-footer .footer-top:after {
    content: "";
    width: 1px;
    height: calc(100% + 60px);
    position: absolute;
    bottom: 0;
    left: 50%;
    background: #4d5769;
}
.rv-footer .footer-bottom:before {
    content: "";
    height: 1px;
    width: calc(100% + 120px);
    position: absolute;
    left: -60px;
    top: 0;
    background: #4d5769;
}
.rv-footer .footer-nav nav ul {
	display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0 20px;
}

.post-categories .elementor-post-info .elementor-post-info__item {
    display: flex !important;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    gap: 20px;
}
.post-categories .elementor-post-info .elementor-post-info__item a {
    background: #E9EBF1;
    border-radius: 8px;
    padding: 12px 36px;
    display: inline-block !important;
    white-space: nowrap;
    flex: 0 0 auto;
}

.client-logo-wrapper img {
    max-height: 60px;
    width: auto;
}

@media (max-width: 1200px) and (min-width: 991px) {
	.rg-demand-row .elementor-container {
		gap: 20px;
		justify-content: center;
	}
	.rg-demand-row .elementor-container > .elementor-column {
		width: calc(33.33% - 20px);
	}
	  .rg-area-grid .elementor-widget-wrap{
		gap: 20px;
	}
	.rg-area-column {
		width: calc(25% - 20px) !important;
	}
	.team-container {
		grid-template-columns: repeat(2, 1fr);
		gap: 20px;
	}
}

@media (max-width: 990px) and (min-width: 768px) {
	
	.rg-demand-row .elementor-container {
		gap: 20px;
		justify-content: start;
	}
	.rg-demand-row .elementor-container .elementor-column {
		width: calc(50% - 20px);
	}
	.rg-area-grid .elementor-widget-wrap{
		gap: 20px;
	}
	.rg-area-column {
		width:calc(50% - 20px) !important;
	}
	.team-container {
		grid-template-columns: repeat(2, 1fr);
		gap: 20px;
	}
	

}	
@media (max-width: 1200px) and (min-width: 1025px) {
    .rg-grid-icon-box .elementor-widget-container {
        padding: 25px !important;
    }
	.rg-grid-icon-box .elementor-icon-box-content .elementor-icon-box-title {
        font-size: 32px !important;
	}
	
}

@media (min-width: 768px) {
	.sticky-col {
		padding-left: 30px;
	}
}
@media (min-width: 768px) and (max-width: 1140px){
	#relatedPostCarousel .custom-arrow.swiper-prev{
		left: calc(90vw - 70px) !important;
		top: 55px;
	}
	#relatedPostCarousel .custom-arrow.swiper-next{
		left: 90vw !important;
		top: 55px;
	}
}
@media (max-width: 767px) {
	#relatedPostCarousel .carousel-inner {
		padding-top: 90px;
	}
	#relatedPostCarousel .slick-slider .slick-arrow {
		top: 5px;
	}
	#relatedPostCarousel .slick-slider .slick-arrow.slick-prev {
		right: max(calc(100% - 1280px + 100px), 65px);
	}
	
	#reviewsCarousel {
		margin: 30px 0 0;
		width: 100%;
	}
	.review-card {
		margin: 0 10px;
		padding: 20px;
		min-height: 300px;
	}
	.review-card .review-text,
	.review-card .review-meta {
		font-size: 16px;
	}
	.slick-slider .slick-arrow,
	.carousel-wrapper .custom-arrow {
		width: 35px;
		height: 35px;
		font-size: 20px;
		left: 55px;
	}
	.swiper-wrap-arrow .custom-arrow {
		left: 0;
	}
	#reviewsCarousel .custom-arrow.swiper-button-next{
		left: 45px;
	}
	.swiper-wrap-arrow .custom-arrow.swiper-button-next {
		left: 45px;
	}
	.slick-slider .slick-arrow.slick-prev {
		left: 10px;
	}
	.carousel-inner {
		padding-bottom: 55px;
	}	
	.rg-grid-icon-box .elementor-icon-box-wrapper {
		display: flex !important;
		flex-direction: row-reverse;
		align-items: center;
	}
	.rg-v-logo .elementor-widget-wrap {
		background-position: right 260px !important;
	}
	.rg-demand-row .elementor-container,
	.rg-demand-row .elementor-column-gap-custom {
        gap: 20px;
    }
	#reviewsCarousel .slick-arrow img,
	#relatedPostCarousel .slick-slider .slick-arrow img,
	body .carousel-wrapper .custom-arrow img {
		max-width: 14px;
	}
	.rg-area-grid .elementor-widget-wrap{
		gap: 20px;
	}
	.rg-area-column {
		width:calc(50% - 20px) !important;
	}
	.team-container {
		grid-template-columns: repeat(1, 1fr);
		gap: 20px;
	}
	.team-card {
		padding: 20px;
	}
	.team-popup .popup-inner {
        flex-direction: column;
        padding: 30px;
    }
    .team-popup .popup-image {
        width: 100%;
    }
	.team-popup .popup-text {
		padding-right: 0;
		margin-right: 0;
		overflow: visible;
	}
	.team-popup .popup-close {
		width: 44px;
		height: 44px;
		font-size: 34px;
	}
	.rg-card-title {
       font-size: 18px;
       margin-bottom: 10px ;
    }
    .rg-card-label {
       margin-bottom: 15px;
    }
	.rg-service-sublist {
       justify-content: start;
    }
	.rg-service-sublist li {
      padding: 15px;
    }
	.rg-card-title {
		min-height: unset;
	}
	.rv-footer .footer-logo {
		margin-bottom: 40px !important;
	}
	.rv-footer .footer-top:after {
		display: none;
	}
	.rv-footer .footer-right:before {
		content: "";
		width: 100dvw;
		height: 1px;
		position: absolute;
		top: 0;
		left: -20px;
		background: #4d5769;
	}
	.rg-expert-text{
		max-width: 100%;
		margin-left: auto;
		margin-right: auto;
	}
	.swiper-wrap-arrow {
		bottom: 30px;
		margin-left: 0;
	}
	.carousel-inner .review-card {
        min-height: 370px;
        margin-bottom: 15px;
    }
	#relatedPostCarousel .custom-arrow.swiper-prev{
		left: 80vw !important;
	}
	#relatedPostCarousel .custom-arrow.swiper-next{
		left: 90vw !important;
	}
	header.header-sticky {
		padding-top: 0 !important;
	}
	.client-logo-wrapper .elementor-container {
		flex-direction: row;
	}
	.client-logo-wrapper .elementor-container .elementor-column {
		width: 50%;
	}
	.client-logo-wrapper {
		margin-bottom: 0 !important;
	}
}

@media (max-width: 580px) {
	#relatedPostCarousel .carousel-inner {
		padding-bottom: 40px;
	}
	#relatedPostCarousel .slick-slider .slick-arrow {
		top: auto;
		bottom: 0;
	}
}